import { AbstractUiComponent } from "./AbstractUiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiDivConfig } from "../generated/UiDivConfig";
import { UiDivCommandHandler } from "../generated/UiDivConfig";
export declare class UiDiv extends AbstractUiComponent<UiDivConfig> implements UiDivCommandHandler {
    private $main;
    constructor(config: UiDivConfig, context: TeamAppsUiContext);
    doGetMainElement(): HTMLElement;
    setContent(content: unknown): void;
}
